summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Larry Hajali2010-06-20 10:34:58 +0200
committer Erik Hanson2010-06-20 22:19:58 +0200
commit53bf6753f25dbba5e2aa069e012e23db9663a5d3 (patch)
tree3f047143f9830e6601dc968b5d230d3d32d09755 /games
parent0903b293a40255274ef8ba235f441492aa3f2bc8 (diff)
downloadslackbuilds-53bf6753f25dbba5e2aa069e012e23db9663a5d3.tar.gz
games/cubosphere: Added ("Kula World" / "Roll Away" remake)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/cubosphere/README9
-rw-r--r--games/cubosphere/cubosphere.SlackBuild80
-rw-r--r--games/cubosphere/cubosphere.desktop10
-rw-r--r--games/cubosphere/cubosphere.info10
-rw-r--r--games/cubosphere/doinst.sh3
-rw-r--r--games/cubosphere/slack-desc19
6 files changed, 131 insertions, 0 deletions
diff --git a/games/cubosphere/README b/games/cubosphere/README
new file mode 100644
index 0000000000..7464cba0a2
--- /dev/null
+++ b/games/cubosphere/README
@@ -0,0 +1,9 @@
+Goal of this project is a remake of the Playstation 1 Game "Kula World" / "Roll
+Away". It is designed platform independend, written in C++ and using the
+following libraries: OpenGL, SDL (Simple DirectMedia Layer), libjpeg, LUA,
+GLSL-Shader.
+
+This requires lua.
+
+Note: In order to load the background music (eg. loading *.mp3 files), install
+smpeg and then rebuild the sdl package that comes with Slackware.
diff --git a/games/cubosphere/cubosphere.SlackBuild b/games/cubosphere/cubosphere.SlackBuild
new file mode 100644
index 0000000000..91ec22aee0
--- /dev/null
+++ b/games/cubosphere/cubosphere.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for cubosphere
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=cubosphere
+VERSION=0.04b
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_unix_$VERSION.tar.gz
+# Remove unwanted files.
+find . -name "Thumbs.db" -o -name "*~" -exec rm -f {} \;
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix Makefile.
+sed -i -e '/^PREFIX/s|=.*|=/usr|' -e '1s|^#||' -e "s| -llualib||" Makefile
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+convert data/textures/pickup1.jpg -resize 64x64! $PRGNAM.png
+install -m 0644 $PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/cubosphere/cubosphere.desktop b/games/cubosphere/cubosphere.desktop
new file mode 100644
index 0000000000..04947e4d5a
--- /dev/null
+++ b/games/cubosphere/cubosphere.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Type=Application
+Name=Cubosphere
+GenericName=Logic Game
+Comment=3d puzzle
+Exec=cubosphere
+Icon=cubosphere
+Categories=Game;LogicGame;
+Terminal=false
+StartupNotify=false
diff --git a/games/cubosphere/cubosphere.info b/games/cubosphere/cubosphere.info
new file mode 100644
index 0000000000..d735a48b5f
--- /dev/null
+++ b/games/cubosphere/cubosphere.info
@@ -0,0 +1,10 @@
+PRGNAM="cubosphere"
+VERSION="0.04b"
+HOMEPAGE="http://sourceforge.net/projects/cubosphere/"
+DOWNLOAD="http://downloads.sourceforge.net/cubosphere/cubosphere_unix_0.04b.tar.gz"
+MD5SUM="4d594015196bb546576903f225f3b3c8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/games/cubosphere/doinst.sh b/games/cubosphere/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/cubosphere/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/cubosphere/slack-desc b/games/cubosphere/slack-desc
new file mode 100644
index 0000000000..704b11fa4f
--- /dev/null
+++ b/games/cubosphere/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cubosphere: cubosphere (Kula World remake)
+cubosphere:
+cubosphere: Goal of this project is a remake of the Playstation 1 Game "Kula
+cubosphere: World" / "Roll Away".
+cubosphere:
+cubosphere: Homepage: http://sourceforge.net/projects/cubosphere/
+cubosphere:
+cubosphere:
+cubosphere:
+cubosphere:
+cubosphere: